Rotate messaging app credentials
curl --request PUT \
--url https://api.interchange.io/api/v2/messaging-apps/{definitionId}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "discord",
"publicKey": "<string>",
"botToken": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/{definitionId}/credentials"
payload = {
"provider": "discord",
"publicKey": "<string>",
"botToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'discord', publicKey: '<string>', botToken: '<string>'})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/{definitionId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"agentKey": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
},
"providerRef": {
"provider": "slack",
"applicationId": "<string>"
},
"status": "draft"
},
"rotated": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Rotate messaging app credentials
Atomically replace the provider credential for an active messaging app. The replacement is stored before the reference swap, the previous secret is detached afterward, and no credential value is returned.
PUT
/
messaging-apps
/
{definitionId}
/
credentials
Rotate messaging app credentials
curl --request PUT \
--url https://api.interchange.io/api/v2/messaging-apps/{definitionId}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "discord",
"publicKey": "<string>",
"botToken": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/{definitionId}/credentials"
payload = {
"provider": "discord",
"publicKey": "<string>",
"botToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'discord', publicKey: '<string>', botToken: '<string>'})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/{definitionId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"agentKey": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
},
"providerRef": {
"provider": "slack",
"applicationId": "<string>"
},
"status": "draft"
},
"rotated": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json